Bug 225270 - Merge Review: aspell-fr
Merge Review: aspell-fr
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-01-29 16:04 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-10 23:26:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-29 16:04:39 EST
Fedora Merge Review: aspell-fr

Comment 1 Parag AN(पराग) 2007-03-27 06:55:34 EDT
Can you update SPEC of this package similar to one that I have attached for
Review Request https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=225266?
Comment 2 Parag AN(पराग) 2007-03-30 06:06:38 EDT
+ package builds in mock (development i386).
- rpmlint is NOT silent for SRPM and RPM.
  But following messages are ignorable
  E: aspell-fr no-binary
  E: aspell-fr only-non-binary-in-usr-lib
  E: aspell-fr configure-without-libdir-spec
+ SPEC file contains explanation about above warnings.
+ source files match upstream.
53a2d05c4e8f7fabd3cefe24db977be7  aspell-fr-0.50-3.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Requires: aspell >= 12:0.60
+ Provides: aspell-fr = 50:0.50-11.fc7
+ Not a GUI APP.

Comment 3 Parag AN(पराग) 2007-04-10 23:26:56 EDT
As build is available now, therefore CLOSING this review.

Note You need to log in before you can comment on or make changes to this bug.